/api/v0/orders/{customerOrderId}/packages

Retrieves a list of shipment packages and shipment details for the given customerOrderId

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Retrieving Shipment Data

GET api/v0/orders/{customerOrderId}/packages

Sample Response

{
  "data": [
    {
      "packageId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "customerOrderId": "string",
      "packageContents": [
        {
          "productId": "string",
          "sku": "string",
          "upc": "string",
          "quantity": 0,
          "customerLineItemId": "string",
          "lineItemProductId": "string"
        }
      ],
      "trackingDetail": {
        "trackingNumber": "string",
        "trackingUrl": "string",
        "shippingCarrier": "string",
        "serviceLevel": "string",
        "originFc": "string",
        "shipDate": "2025-12-08T19:16:05.224Z",
        "estimatedDeliveryDate": "2025-12-08T19:16:05.224Z",
        "trackingEvents": [
          {
            "eventType": "string",
            "eventTimestamp": "2025-12-08T19:16:05.224Z"
          }
        ]
      },
      "lastUpdated": "2025-12-08T19:16:05.224Z",
      "dateReplaced": "2025-12-08T19:16:05.224Z",
      "replacedByPackageId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
    }
  ],
  "pagination": {
    "page": 0,
    "totalPages": 0
  },
  "messages": [
    {
      "messageType": "info",
      "shortMessage": "string",
      "longMessage": "string",
      "messageId": "string"
    }
  ],
  "requestId": "string"
}

Please see /api/v0/shipments/tracking-updates for details regarding response data types.


Path Params
string
required
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

401

Unauthorized

403

Forbidden

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
text/plain
application/json
text/json